#include "metatypes.h"

void registerMetaType()
{
    qRegisterMetaType<QList<Instructor>>("QList<Instructor>");
    qRegisterMetaType<QList<Trainee>>("QList<Trainee>");
    qRegisterMetaType<QList<Group>>("QList<Group>");
    qRegisterMetaType<QList<Computer>>("QList<Computer>");
    qRegisterMetaType<QList<Classroom>>("QList<Classroom>");
    qRegisterMetaType<QList<Module*>>("QList<Module*>");
    qRegisterMetaType<QList<TaskAmmFim>>("QList<TaskAmmFim>");
    qRegisterMetaType<PacketType>("PacketType");
    qRegisterMetaType<ClientMessage>("ClientMessage");
    qRegisterMetaType<QList<QTreeWidgetItem*>>("QList<QTreeWidgetItem*>");

    qRegisterMetaType<QList<SubProc>>("QList<SubProc>");
}
